package com.hungraim.ism.pojo.entity.system.disable;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@TableName("CH_DISABLE_APPLY_HIS")
public class chDisableApplyHis {
    /**
     * 失能申请历史id
     */
    private Integer applyHisId;

    /**
     * 失能申请id
     */
    private Integer applyId;

    /**
     * 机构代码
     */
    private String organId;

    /**
     * 所在省份
     */
    private String districtProvincial;

    /**
     * 所在城市
     */
    private String districtCity;

    /**
     * 所在区域
     */
    private String districtArea;

    /**
     * 姓名
     */
    private String realName;

    /**
     * 身份证号
     */
    private String certiCode;

    /**
     * 出生年月
     */
    private Date birthday;

    /**
     * 性别    男：M；女：F；不确定 N
     */
    private String gender;

    /**
     * 电话
     */
    private String tel;

    /**
     * 现住地址区域
     */
    private String adressDistrictCode;

    /**
     * 住址详情
     */
    private String adressDetail;

    /**
     * 户籍   本市：0；非本市：1
     */
    private Integer regist;

    /**
     * 疾病
     */
    private String disease;

    /**
     * 服务方式
     */
    private Integer srvModeId;

    /**
     * 疾病描述
     */
    private String diseaseDesc;

    /**
     * 医保类型    城镇：1；非城镇：0
     */
    private Integer medicalType;

    /**
     * 社保卡号
     */
    private String medicalCard;

    /**
     * 意向护理机构
     */
    private Integer srvOrganId;

    /**
     * 代办人姓名
     */
    private String operName;

    /**
     * 代办人身份证号
     */
    private String operCertiCode;

    /**
     * 代办人手机号
     */
    private String operTel;

    /**
     * 与失能人员关系    子女:0;父母:1配偶:2其他:3
     */
    private String operRelation;

    /**
     * 代办人住址区域
     */
    private String operDistrictCode;

    /**
     * 代办人住址详情
     */
    private String operAddress;

    /**
     * 鉴定标准配置id
     */
    private Integer aprConfId;

    /**
     * 申请状态   未提交:0;待审核:1;审核通过:2;不通过：3;删除:4;撤销:5
     */
    private Integer applyStatus;

    /**
     * 审核人
     */
    private String checkName;

    /**
     * 审核备注
     */
    private String checkRemark;

    /**
     * 审核时间
     */
    private Date checkTime;

    /**
     * 创建人
     */
    private Integer defineEmg;

    /**
     * 创建时间
     */
    private Date effTime;

    /**
     * 终止人
     */
    private Integer endEmg;

    /**
     * 终止人终止时间
     */
    private Date endTime;

    /**
     * 首次操作时间
     */
    private Date fcd;

    /**
     * 首次操作人
     */
    private Integer fcu;

    /**
     * 末次操作时间
     */
    private Date lcd;

    /**
     * 末次操作人
     */
    private Integer lcu;

    /**
     * 申请机构
     */
    private Integer aplOrganId;

    /**
     * 现住地址省份
     */
    private String adressDistrictProvincial;

    /**
     * 现住地址城市
     */
    private String adressDistrictCity;

    /**
     * 代办人住址省份
     */
    private String operDistrictProvince;

    /**
     * 代办人住址城市
     */
    private String operDistrictCity;

    /**
     * 最新鉴定任务ID
     */
    private Integer lastTaskId;

    /**
     * 数据来源 网厅：0，核心：1，微信：2
     */
    private Integer dataFrom;

    /**
     * 网厅创建人
     */
    private Integer webDefineEmp;

    /**
     * 网厅终止人
     */
    private Integer webEndEmp;

    /**
     * 街道
     */
    private String street;

    /**
     * 鉴定分数总计
     */
    private Integer aprTotalScore;

    /**
     * 接受评定省
     */
    private String acptProvincial;

    /**
     * 接受评定市
     */
    private String acptCity;

    /**
     * 接受评定区
     */
    private String acptArea;

    /**
     * 接受评定街道
     */
    private String acptStreet;

    /**
     * 接受评定详细地址
     */
    private String acptAddress;

    /**
     * 接受评定类型 现在址：0,机构地址：1,其他：2
     */
    private Integer acptType;

    /**
     * 疾病大类
     */
    private Integer diseTypeF;

    /**
     * 疾病小类
     */
    private Integer diseTypeS;

    /**
     * 服务配置模式ID
     */
    private Integer cfgModeId;

    /**
     * 复评原因
     */
    private String reasonsReview;

    /**
     * 复评备注
     */
    private String reasonsRemark;

    /**
     * 申请方式
     */
    private Integer applyMethod;

    /**
     * 首次申请ID
     */
    private Integer firstApplyId;

    /**
     * 现住址经度
     */
    private String addressLongitude;

    /**
     * 现住址纬度
     */
    private String addressLatitude;

    /**
     * 接受评定地址经度
     */
    private String acptLongitude;

    /**
     * 接受评定地址纬度
     */
    private String acptLatitude;

    /**
     * 代办人街道
     */
    private String operStreet;

    /**
     * 代办人地址经度
     */
    private String agentLongitude;

    /**
     * 代办人地址纬度
     */
    private String agentLatitude;

    /**
     * 现住地址路街
     */
    private String addressRoadDetail;

    /**
     * 现住地址路/街（0路，1街，2村）
     */
    private Integer addressRoadType;

    /**
     * 现住地址号弄
     */
    private String addressNumberDetail;

    /**
     * 现住地址号/弄（0弄，1号）
     */
    private Integer addressNumberType;

    /**
     * 接受评定地址路街
     */
    private String acptRoadDetail;

    /**
     * 接受评定地址路/街（0路，1街，2村）
     */
    private Integer acptRoadType;

    /**
     * 接受评定地址号弄
     */
    private String acptNumberDetail;

    /**
     * 接受评定地址号/弄（0弄，1号）
     */
    private Integer acptNumberType;

    /**
     * 代办人现住止路街
     */
    private String operRoadDetail;

    /**
     * 代办人现住止路/街（0路，1街，2村）
     */
    private Integer operRoadType;

    /**
     * 代办人现住止号弄
     */
    private String operNumberDetail;

    /**
     * 代办人现住止号/弄（0弄，1号）
     */
    private Integer operNumberType;

    /**
     * 接受服务地址省
     */
    private String acptSrvProvincial;

    /**
     * 接受服务地址市
     */
    private String acptSrvCity;

    /**
     * 接受服务地址区
     */
    private String acptSrvArea;

    /**
     * 接受服务地址街道
     */
    private String acptSrvStreet;

    /**
     * 接受服务地址路街
     */
    private String acptSrvRoadDetail;

    /**
     * 接受服务地址路/街（0路，1街，2村）
     */
    private Integer acptSrvRoadType;

    /**
     * 接受服务地址号弄
     */
    private String acptSrvNumberDetail;

    /**
     * 接受服务地址号/弄（0弄，1号）
     */
    private Integer acptSrvNumberType;

    /**
     * 接受服务地址详细地址
     */
    private String acptSrvAddress;

    /**
     * 接受服务地址类型（现在址：0,护理机构地址：1,其他：2）
     */
    private Integer acptSrvType;

    /**
     * 接受服务地址经度
     */
    private String acptSrvLongitude;

    /**
     * 接受服务地址纬度
     */
    private String acptSrvLatitude;

    /**
     * 失能人员电话
     */
    private String fixedTel;

    /**
     * 所在户籍地址省
     */
    private String registProvincial;

    /**
     * 所在户籍地址市
     */
    private String registCity;

    /**
     * 所在户籍地址区
     */
    private String registArea;

    /**
     * 所在户籍地址街道
     */
    private String registStreet;

    /**
     * 所在户籍地址详细地址
     */
    private String registAddress;

    /**
     * 所在户籍地址经度
     */
    private String registLongitude;

    /**
     * 所在户籍地址纬度
     */
    private String registLatitude;

    /**
     * 病史简述1
  1. 曾患的重大疾病、外伤史、传染病史
     */
    private String medicalHistory1;

    /**
     * 病史简述2   2. 现有的疾病和病症
     */
    private String medicalHistory2;

    /**
     * 病史简述3   3. 目前正在治疗的疾病和病症
     */
    private String medicalHistory3;

    /**
     * 身高
     */
    private BigDecimal height;

    /**
     * 体重
     */
    private BigDecimal weight;

    /**
     * 左手握力
     */
    private BigDecimal leftHandGrip;

    /**
     * 右手握力
     */
    private BigDecimal rightHandGrip;

    /**
     * 肢体残缺  0有，1无
     */
    private Integer bodyIncomplete;

    /**
     * 视力障碍   0有，1无
     */
    private Integer visionObstacle;

    /**
     * 听力障碍   0有，1无
     */
    private Integer hearingObstacle;

    /**
     * 病史简述
     */
    private String medicalHistory;

    /**
     * 历史操作时间
     */
    private Date hisTime;

    /**
     * 历史操作人
     */
    private Integer hisEmp;

    /**
     * 代办人固话
     */
    private String operFixedTel;

    /**
     * 待遇类型(1失能、0失智)
     */
    private Integer treatmentType;
}